summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-06-04 13:20:13 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2017-06-04 13:20:13 +0200
commit4dc28e4b46b43da6a0421f9f8de400643f121b01 (patch)
tree6bee84d83a2021d8221978619f38bad22e780ba2
parentapp-emacs/ebuild-mode: Remove old. (diff)
downloadgentoo-4dc28e4b46b43da6a0421f9f8de400643f121b01.tar.gz
gentoo-4dc28e4b46b43da6a0421f9f8de400643f121b01.tar.bz2
gentoo-4dc28e4b46b43da6a0421f9f8de400643f121b01.zip
net-ftp/filezilla: clean old versions, security bug #610554
Package-Manager: Portage-2.3.6, Repoman-2.3.2
-rw-r--r--net-ftp/filezilla/Manifest6
-rw-r--r--net-ftp/filezilla/files/filezilla-3.10.2-debug.patch13
-rw-r--r--net-ftp/filezilla/files/filezilla-3.24.1-desktop_entry.patch8
-rw-r--r--net-ftp/filezilla/filezilla-3.12.0.2.ebuild67
-rw-r--r--net-ftp/filezilla/filezilla-3.14.1.ebuild78
-rw-r--r--net-ftp/filezilla/filezilla-3.24.0.ebuild68
-rw-r--r--net-ftp/filezilla/filezilla-3.24.1-r1.ebuild73
-rw-r--r--net-ftp/filezilla/filezilla-3.25.0.ebuild68
-rw-r--r--net-ftp/filezilla/filezilla-3.25.1.ebuild68
9 files changed, 0 insertions, 449 deletions
diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index 00f1f29a120..59577e1075d 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -1,7 +1 @@
-DIST FileZilla_3.12.0.2_src.tar.bz2 4440836 SHA256 7a296fc2cd94d00d3a14ad29b84ff081c60a791f4cddc07f0bd8022bd57e1d0d SHA512 163ab37d0b15ffd511c9237727b2a2879c2ff38f264853148633c87ec2d6e07cca1847104eb8c7190a0d27a6978ddb10b10dd8e1ef6e157051567b04d1ec5930 WHIRLPOOL 1b3c859f77ab1c10adcbbbdf6201adfd388d25af4ff91c4a96cba7ff57eadf66a181ddd421b01dc124b2a58ca96599d5cfd11e321dac76afc18a69698dd8d8e1
-DIST FileZilla_3.14.1_src.tar.bz2 4411187 SHA256 b10871b6ced5f52062b44deda037edb8a38090b226a018b9b64b1a1feb59d46c SHA512 c97767ed01f4538a2f4b8760601778ca7f9aa99b5b928cb86c9508eba0490bbc1f31921d098e0ccd30712ff06dc9f21d323201fb8bee80b9fb7a6528fbb03368 WHIRLPOOL 1fbccfbb0de5111fad14eb0b38ee190aefc4c80777c3611189c74412dfefdf2fd96d4a42c917791d3a3318b6ae22f01a7d24a4a0904386b22a98693151b5a822
-DIST FileZilla_3.24.0_src.tar.bz2 4635977 SHA256 3d5dd4899cdeca038afd330f24098a61a223f15b172611e0c210244911cd4cad SHA512 e5e7fcf1d1c33053775d09ee9a3c0bac1286b4ed5aee1af47498ec2d860bd0571b8e2a35443119d3ebe61a8eea4fb236edb0e7d9dc6a1b37b823902828620ea0 WHIRLPOOL 41abe64523852b45c7ca7e8bf54ed92d749fb4af289b4cdfd0bfa7399dbcd4f135bdc5329b26306b2a04e98c9790b38945c82566db200de8d741603044ba61a1
-DIST FileZilla_3.24.1_src.tar.bz2 4645630 SHA256 e6dd748c7ec067c1165683ebe81325ce6c561f4725963a9515494af346a30c2a SHA512 7a3f871278ad35a9237e7a8e16c4b7becadd29bb3385dd528a645c96a36c9451d7e798da43bfe57de4064206605750a9184494ff8ff233511a4be09b6265bffd WHIRLPOOL 344fff6628ef3f281784b729aa913b33dcff0cc275d389886fb0913aa2d36407362fbe69b36071ded1923a8ccc14fe6304a418b3d69f37649d5401abefdd5d69
-DIST FileZilla_3.25.0_src.tar.bz2 4707698 SHA256 104e5f302dfef72cf9d235a880da159c93c9378ebfc48487ef07a1ba7f5834ac SHA512 efaf92b3705394a310dd2026095b0b44e54182e508e3fa6838944f7d2bca8f053f4242c8138385b1e4fd33837476c34173a33e234be0faaaec9fdc9a7b0fbb79 WHIRLPOOL edd44203e72603072e82f47eb1b78397f707b7d22ecd18706bfdb8a37cdc882a09e808b19c0c742bec2d7979067d532425fcbeafdf952310eef4b8d3cb103eb4
-DIST FileZilla_3.25.1_src.tar.bz2 4707839 SHA256 8873be716059cf7425b72dba5d130ea2a1ec62a769b4ada41f6c7313a2112fc1 SHA512 fbaa5184c21a06884db68befec8a30971a620744114ba0d12f701999210e2448ae88267c0631bbed0abeef302c6f2d80033a8f70ed548a5dd05f74cd5567a64b WHIRLPOOL 6ab1b5a6a3177fbb74bc5db588ee9dd053bbe66a0ddaa90a5e602b37acfb9444275033e3bfbbdc5cc2d169b8218cdf797a9cd693c29c0b070f0110c2eab66869
DIST FileZilla_3.25.2_src.tar.bz2 4712781 SHA256 559b0adbc1aff862dddbce95ed8a4a854c7a255b1de79efba9eabe459381aacd SHA512 6c6feeec0b1bd15ff2c3fecbec22bca9c79f4263e0d1855c6d27a3df54128cfd837f0a546d1540b87b4645e620b57961b8ac0f01bd52748832f5625139c39764 WHIRLPOOL 68bb9fab223af9fdb4a80a14424286c2a1fa28d55393c5ed387ce5b546fc422ca97ced10b81885faab4eb9b29980874b8b7b11ee265b0df0fa50df6c299d0dc8
diff --git a/net-ftp/filezilla/files/filezilla-3.10.2-debug.patch b/net-ftp/filezilla/files/filezilla-3.10.2-debug.patch
deleted file mode 100644
index 74e3fc30ea2..00000000000
--- a/net-ftp/filezilla/files/filezilla-3.10.2-debug.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- configure.ac.orig 2015-03-03 17:04:56.300296016 +0100
-+++ configure.ac 2015-03-03 17:05:20.739299967 +0100
-@@ -46,8 +46,8 @@
- if ! test "$localesonly" = "yes"; then
-
- if test "X$GCC" = Xyes; then
-- CFLAGS="$CFLAGS -Wall -g"
-- CXXFLAGS="$CXXFLAGS -Wall -g"
-+ CFLAGS="$CFLAGS -Wall"
-+ CXXFLAGS="$CXXFLAGS -Wall"
- fi
-
- # Check for C++11 support
diff --git a/net-ftp/filezilla/files/filezilla-3.24.1-desktop_entry.patch b/net-ftp/filezilla/files/filezilla-3.24.1-desktop_entry.patch
deleted file mode 100644
index 2a579e898cc..00000000000
--- a/net-ftp/filezilla/files/filezilla-3.24.1-desktop_entry.patch
+++ /dev/null
@@ -1,8 +0,0 @@
---- FileZilla3/trunk/data/filezilla.desktop 2017/02/28 16:01:04 8248
-+++ FileZilla3/trunk/data/filezilla.desktop 2017/03/03 15:38:01 8249
-@@ -1,4 +1,4 @@
--[Desktop Entry]
-+[Desktop Entry]
- Name=FileZilla
- GenericName=FTP client
- GenericName[da]=FTP-klient
diff --git a/net-ftp/filezilla/filezilla-3.12.0.2.ebuild b/net-ftp/filezilla/filezilla-3.12.0.2.ebuild
deleted file mode 100644
index af46a28bcc3..00000000000
--- a/net-ftp/filezilla/filezilla-3.12.0.2.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-WX_GTK_VER="3.0"
-
-inherit autotools eutils flag-o-matic multilib wxwidgets
-
-MY_PV=${PV/_/-}
-MY_P="FileZilla_${MY_PV}"
-
-DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
-HOMEPAGE="http://filezilla-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ppc ~sparc x86 ~amd64-linux ~x86-linux ~x86-macos"
-IUSE="aqua dbus nls test"
-
-RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
- >=dev-db/sqlite-3.7
- >=dev-libs/tinyxml-2.6.1-r1[stl]
- net-dns/libidn
- >=net-libs/gnutls-3.1.12
- aqua? ( >=x11-libs/wxGTK-3.0.2.0-r1:3.0[aqua] )
- !aqua? ( >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X] x11-misc/xdg-utils )
- dbus? ( sys-apps/dbus )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-1.4
- nls? ( >=sys-devel/gettext-0.11 )
- test? ( dev-util/cppunit )"
-
-S="${WORKDIR}"/${PN}-${MY_PV}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-3.10.2-debug.patch
- append-cppflags -DTIXML_USE_STL
- eautoreconf
-}
-
-src_configure() {
- econf $(use_with dbus) $(use_enable nls locales) \
- --with-tinyxml=system \
- --disable-autoupdatecheck
-}
-
-src_install() {
- emake DESTDIR="${D}" install
-
- doicon src/interface/resources/48x48/${PN}.png
-
- dodoc AUTHORS ChangeLog NEWS
-
- if use aqua ; then
- cat > "${T}/${PN}" <<-EOF || die
- #!${EPREFIX}/bin/bash
- open "${EPREFIX}"/Applications/FileZilla.app
- EOF
- rm "${ED}/usr/bin/${PN}" || die
- dobin "${T}/${PN}"
- insinto /Applications
- doins -r "${S}"/FileZilla.app
- fi
-}
diff --git a/net-ftp/filezilla/filezilla-3.14.1.ebuild b/net-ftp/filezilla/filezilla-3.14.1.ebuild
deleted file mode 100644
index c7f58871ea0..00000000000
--- a/net-ftp/filezilla/filezilla-3.14.1.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-WX_GTK_VER="3.0"
-
-inherit autotools eutils flag-o-matic multilib wxwidgets
-
-MY_PV=${PV/_/-}
-MY_P="FileZilla_${MY_PV}"
-
-DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
-HOMEPAGE="http://filezilla-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
-IUSE="aqua dbus nls test"
-
-RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
- >=dev-db/sqlite-3.7
- net-dns/libidn
- >=net-libs/gnutls-3.1.12
- aqua? ( >=x11-libs/wxGTK-3.0.2.0-r1:3.0[aqua] )
- !aqua? ( >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X] x11-misc/xdg-utils )
- dbus? ( sys-apps/dbus )"
-# >=dev-libs/pugixml-1.5
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-1.4
- nls? ( >=sys-devel/gettext-0.11 )
- test? ( dev-util/cppunit )"
-
-S="${WORKDIR}"/${PN}-${MY_PV}
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- if ! test-flag-CXX -std=c++14; then
- eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
- eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
- eerror "to gcc-4.9 or an equivalent version supporting C++14."
- die "Currently active compiler does not support -std=c++14"
- fi
- fi
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-3.10.2-debug.patch
- eautoreconf
-}
-
-src_configure() {
- # system pugixml lacks long long ops support, use builtin for now
- econf $(use_with dbus) $(use_enable nls locales) \
- --with-pugixml=builtin \
- --disable-autoupdatecheck
-}
-
-src_install() {
- emake DESTDIR="${D}" install
-
- doicon src/interface/resources/48x48/${PN}.png
-
- dodoc AUTHORS ChangeLog NEWS
-
- if use aqua ; then
- cat > "${T}/${PN}" <<-EOF || die
- #!${EPREFIX}/bin/bash
- open "${EPREFIX}"/Applications/FileZilla.app
- EOF
- rm "${ED}/usr/bin/${PN}" || die
- dobin "${T}/${PN}"
- insinto /Applications
- doins -r "${S}"/FileZilla.app
- fi
-}
diff --git a/net-ftp/filezilla/filezilla-3.24.0.ebuild b/net-ftp/filezilla/filezilla-3.24.0.ebuild
deleted file mode 100644
index 1be888aca65..00000000000
--- a/net-ftp/filezilla/filezilla-3.24.0.ebuild
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-WX_GTK_VER="3.0"
-
-inherit autotools eutils flag-o-matic multilib wxwidgets
-
-MY_PV=${PV/_/-}
-MY_P="FileZilla_${MY_PV}"
-
-DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
-HOMEPAGE="http://filezilla-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="dbus nls test"
-
-# pugixml 1.7 minimal dependency is for c++11 proper configuration
-RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
- >=dev-libs/nettle-3.1:=
- >=dev-db/sqlite-3.7
- >=dev-libs/libfilezilla-0.9.0
- >=dev-libs/pugixml-1.7
- net-dns/libidn
- >=net-libs/gnutls-3.4.0
- >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X] x11-misc/xdg-utils
- dbus? ( sys-apps/dbus )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-1.4
- nls? ( >=sys-devel/gettext-0.11 )
- test? ( dev-util/cppunit )"
-
-S="${WORKDIR}"/${PN}-${MY_PV}
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- if ! test-flag-CXX -std=c++14; then
- eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
- eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
- eerror "to gcc-4.9 or an equivalent version supporting C++14."
- die "Currently active compiler does not support -std=c++14"
- fi
- fi
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-3.22.1-debug.patch
- eautoreconf
-}
-
-src_configure() {
- econf $(use_with dbus) $(use_enable nls locales) \
- --with-pugixml=system \
- --disable-autoupdatecheck
-}
-
-src_install() {
- emake DESTDIR="${D}" install
-
- doicon src/interface/resources/48x48/${PN}.png
-
- dodoc AUTHORS ChangeLog NEWS
-}
diff --git a/net-ftp/filezilla/filezilla-3.24.1-r1.ebuild b/net-ftp/filezilla/filezilla-3.24.1-r1.ebuild
deleted file mode 100644
index fc028119488..00000000000
--- a/net-ftp/filezilla/filezilla-3.24.1-r1.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-WX_GTK_VER="3.0"
-
-inherit autotools eutils flag-o-matic multilib wxwidgets
-
-MY_PV=${PV/_/-}
-MY_P="FileZilla_${MY_PV}"
-
-DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
-HOMEPAGE="http://filezilla-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="dbus nls test"
-
-# pugixml 1.7 minimal dependency is for c++11 proper configuration
-RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
- >=dev-libs/nettle-3.1:=
- >=dev-db/sqlite-3.7
- >=dev-libs/libfilezilla-0.9.0
- >=dev-libs/pugixml-1.7
- net-dns/libidn
- >=net-libs/gnutls-3.4.0
- >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X] x11-misc/xdg-utils
- dbus? ( sys-apps/dbus )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-1.4
- nls? ( >=sys-devel/gettext-0.11 )
- test? ( dev-util/cppunit )"
-
-S="${WORKDIR}"/${PN}-${MY_PV}
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.22.1-debug.patch
- "${FILESDIR}"/${P}-desktop_entry.patch #466206
-)
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- if ! test-flag-CXX -std=c++14; then
- eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
- eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
- eerror "to gcc-4.9 or an equivalent version supporting C++14."
- die "Currently active compiler does not support -std=c++14"
- fi
- fi
-}
-
-src_prepare() {
- epatch "${PATCHES[@]}"
- eautoreconf
-}
-
-src_configure() {
- econf $(use_with dbus) $(use_enable nls locales) \
- --with-pugixml=system \
- --disable-autoupdatecheck
-}
-
-src_install() {
- emake DESTDIR="${D}" install
-
- doicon src/interface/resources/48x48/${PN}.png
-
- dodoc AUTHORS ChangeLog NEWS
-}
diff --git a/net-ftp/filezilla/filezilla-3.25.0.ebuild b/net-ftp/filezilla/filezilla-3.25.0.ebuild
deleted file mode 100644
index 17003f08647..00000000000
--- a/net-ftp/filezilla/filezilla-3.25.0.ebuild
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-WX_GTK_VER="3.0"
-
-inherit autotools eutils flag-o-matic multilib wxwidgets
-
-MY_PV=${PV/_/-}
-MY_P="FileZilla_${MY_PV}"
-
-DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
-HOMEPAGE="http://filezilla-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="dbus nls test"
-
-# pugixml 1.7 minimal dependency is for c++11 proper configuration
-RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
- >=dev-libs/nettle-3.1:=
- >=dev-db/sqlite-3.7
- >=dev-libs/libfilezilla-0.9.1
- >=dev-libs/pugixml-1.7
- net-dns/libidn
- >=net-libs/gnutls-3.4.0
- >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X]
- x11-misc/xdg-utils
- dbus? ( sys-apps/dbus )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-1.4
- nls? ( >=sys-devel/gettext-0.11 )
- test? ( dev-util/cppunit )"
-
-S="${WORKDIR}"/${PN}-${MY_PV}
-
-DOCS=(AUTHORS ChangeLog NEWS )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.22.1-debug.patch
-)
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- if ! test-flag-CXX -std=c++14; then
- eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
- eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
- eerror "to gcc-4.9 or an equivalent version supporting C++14."
- die "Currently active compiler does not support -std=c++14"
- fi
- fi
-}
-
-src_prepare() {
- setup-wxwidgets
- default
- eautoreconf
-}
-
-src_configure() {
- econf $(use_with dbus) $(use_enable nls locales) \
- --with-pugixml=system \
- --disable-autoupdatecheck
-}
diff --git a/net-ftp/filezilla/filezilla-3.25.1.ebuild b/net-ftp/filezilla/filezilla-3.25.1.ebuild
deleted file mode 100644
index 17003f08647..00000000000
--- a/net-ftp/filezilla/filezilla-3.25.1.ebuild
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-WX_GTK_VER="3.0"
-
-inherit autotools eutils flag-o-matic multilib wxwidgets
-
-MY_PV=${PV/_/-}
-MY_P="FileZilla_${MY_PV}"
-
-DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
-HOMEPAGE="http://filezilla-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="dbus nls test"
-
-# pugixml 1.7 minimal dependency is for c++11 proper configuration
-RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
- >=dev-libs/nettle-3.1:=
- >=dev-db/sqlite-3.7
- >=dev-libs/libfilezilla-0.9.1
- >=dev-libs/pugixml-1.7
- net-dns/libidn
- >=net-libs/gnutls-3.4.0
- >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X]
- x11-misc/xdg-utils
- dbus? ( sys-apps/dbus )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-1.4
- nls? ( >=sys-devel/gettext-0.11 )
- test? ( dev-util/cppunit )"
-
-S="${WORKDIR}"/${PN}-${MY_PV}
-
-DOCS=(AUTHORS ChangeLog NEWS )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.22.1-debug.patch
-)
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- if ! test-flag-CXX -std=c++14; then
- eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
- eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
- eerror "to gcc-4.9 or an equivalent version supporting C++14."
- die "Currently active compiler does not support -std=c++14"
- fi
- fi
-}
-
-src_prepare() {
- setup-wxwidgets
- default
- eautoreconf
-}
-
-src_configure() {
- econf $(use_with dbus) $(use_enable nls locales) \
- --with-pugixml=system \
- --disable-autoupdatecheck
-}